<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@mipmap/dpbj"
    tools:context=".view.from.dzcjy_activity">
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="30dp"
        android:background="@color/test">
        <ImageView
            android:id="@+id/gongneng_fanhui"
            android:layout_width="26dp"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp"
            android:textSize="@dimen/TitleSize"
            android:textColor="@color/titleforeground"
            android:src="@mipmap/zj"
            />
        <RelativeLayout
            android:layout_centerInParent="true"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <TextView
                android:id="@+id/gongneng_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:textColor="@color/white"
                android:textSize="@dimen/textTitleSize"
                android:textStyle="bold" />
            <ImageView
                android:layout_width="400dp"
                android:layout_height="22dp"
                android:layout_alignParentBottom="true"
                android:src="@mipmap/tittle"
                android:layout_marginLeft="5dp"
                />
        </RelativeLayout>
    </RelativeLayout>
    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="#FF03668F" />
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="5dp">
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:src="@mipmap/zs"/>
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentBottom="true"
            android:src="@mipmap/zx"/>
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:src="@mipmap/ys"/>
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentBottom="true"
            android:src="@mipmap/yx"/>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_margin="10dp"
            android:orientation="vertical">
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"

                    android:layout_marginLeft="20dp">
                    <Switch
                        android:id="@+id/marialmode_switch"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/qs_switch"
                        android:text="清零去皮模式/零点校准模式"
                        android:layout_margin="5dp"
                        />
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        >

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="@color/white"
                            android:text="砝码重量:"
                            android:layout_margin="5dp"/>
                        <EditText
                            android:id="@+id/materialweight_edit"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:minWidth="60dp"
                            android:textColor="@color/white"
                            android:backgroundTint="@color/colorAccent"
                            android:layout_margin="5dp"/>
                        <Button
                            android:id="@+id/mwSave_button"
                            android:layout_width="wrap_content"
                            android:layout_height="30dp"
                            android:background="@drawable/btn_greenblue"
                            android:layout_gravity="center_vertical"
                            android:layout_margin="5dp"
                            android:text="保存"
                            />
                    </LinearLayout>
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                        <Spinner
                            android:layout_height="wrap_content"
                            android:layout_width="wrap_content"
                            android:layout_margin="5dp"
                            />
                        <Button
                            android:id="@+id/materilwrite_button"
                            android:layout_width="wrap_content"
                            android:layout_height="30dp"
                            android:background="@drawable/btn_greenblue"
                            android:text="写入砝码值"
                            android:layout_margin="5dp"/>
                        <Button
                            android:id="@+id/calibration_button"
                            android:layout_width="wrap_content"
                            android:layout_height="30dp"
                            android:background="@drawable/btn_greenblue"
                            android:text="去皮/校准"
                            android:layout_margin="5dp"/>
                    </LinearLayout>
                </LinearLayout>
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:layout_alignParentRight="true"
                    android:layout_margin="10dp">
                    <Switch
                        android:id="@+id/out_switch"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/qs_switch"
                        android:text="出口称重模块校准"
                        android:layout_margin="5dp"/>
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        >

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="@color/white"
                            android:text="砝码重量"
                            android:layout_margin="5dp"/>
                        <EditText
                            android:id="@+id/outweight_edit"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:minWidth="60dp"
                            android:textColor="@color/white"
                            android:backgroundTint="@color/colorAccent"
                            android:layout_margin="5dp"/>
                        <Button
                            android:id="@+id/owSave_button"
                            android:layout_width="wrap_content"
                            android:layout_height="30dp"
                            android:background="@drawable/btn_greenblue"
                            android:text="保存"
                            android:layout_margin="5dp"/>
                    </LinearLayout>
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                        <Button
                            android:id="@+id/zeroweight_button"
                            android:layout_height="30dp"
                            android:layout_width="wrap_content"
                            android:background="@drawable/btn_greenblue"
                            android:text="重量清零"
                            android:layout_margin="5dp"
                            />
                        <Button
                            android:id="@+id/outWrite_button"
                            android:layout_width="wrap_content"
                            android:layout_height="30dp"
                            android:background="@drawable/btn_greenblue"
                            android:text="写入砝码值"
                            android:layout_margin="5dp"/>
                        <Button
                            android:id="@+id/zerocalibration_button"
                            android:layout_width="wrap_content"
                            android:layout_height="30dp"
                            android:background="@drawable/btn_greenblue"
                            android:text="零点校准"
                            android:layout_margin="5dp"/>
                    </LinearLayout>
                </LinearLayout>
            </RelativeLayout>



            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="10dp"
                android:text="称重当前重量"
                android:textStyle="bold"
                android:textSize="24dp"
                android:textColor="@color/white"/>

            <TableLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal">
                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/white"
                        android:layout_marginRight="10dp"
                        android:textStyle="bold"
                        android:text="模块_1:"/>
                    <EditText
                        android:id="@+id/mode_1_realvalue"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/EnableEditTextStyle"
                        android:minWidth="60dp"
                        android:layout_marginRight="80dp"/>
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/white"
                        android:layout_marginRight="10dp"
                        android:textStyle="bold"
                        android:text="模块_2:"/>
                    <EditText
                        android:id="@+id/mode_2_realvalue"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/EnableEditTextStyle"
                        android:minWidth="60dp"
                        android:layout_marginRight="80dp"
                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/white"
                        android:layout_marginRight="10dp"
                        android:textStyle="bold"
                        android:text="模块_3:"/>
                    <EditText
                        android:id="@+id/mode_3_realvalue"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/EnableEditTextStyle"
                        android:minWidth="60dp"
                        android:layout_marginRight="80dp"/>
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/white"
                        android:layout_marginRight="10dp"
                        android:textStyle="bold"
                        android:text="模块_4:"/>
                    <EditText
                        android:id="@+id/mode_4_realvalue"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/EnableEditTextStyle"
                        android:minWidth="60dp"
                        />
                </TableRow>

                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/white"
                        android:layout_marginRight="10dp"
                        android:textStyle="bold"
                        android:text="模块_5:"/>
                    <EditText
                        android:id="@+id/mode_5_realvalue"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/EnableEditTextStyle"
                        android:minWidth="60dp"
                        android:layout_marginRight="80dp"/>
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/white"
                        android:layout_marginRight="10dp"
                        android:textStyle="bold"
                        android:text="模块_6:"/>
                    <EditText
                        android:id="@+id/mode_6_realvalue"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/EnableEditTextStyle"
                        android:minWidth="60dp"
                        android:layout_marginRight="80dp"
                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/white"
                        android:layout_marginRight="10dp"
                        android:textStyle="bold"
                        android:text="模块_7:"/>
                    <EditText
                        android:id="@+id/mode_7_realvalue"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/EnableEditTextStyle"
                        android:minWidth="60dp"
                        android:layout_marginRight="80dp"/>
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/white"
                        android:layout_marginRight="10dp"
                        android:textStyle="bold"
                        android:text="模块_8:"/>
                    <EditText
                        android:id="@+id/mode_8_realvalue"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        style="@style/EnableEditTextStyle"
                        android:minWidth="60dp"
                        />

                </TableRow>






            </TableLayout>
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                android:layout_gravity="center_horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/white"
                    android:layout_marginRight="10dp"
                    android:textStyle="bold"
                    android:text="出口模块:"/>
                <EditText
                    android:id="@+id/mode_out_realvalue"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    style="@style/EnableEditTextStyle"
                    android:minWidth="60dp"
                    />
            </LinearLayout>
        </LinearLayout>


    </RelativeLayout>
</LinearLayout>